NAME

OpenAPI::Client::OpenAI::Path::organization-projects-project_id-groups - Documentation for the /organization/projects/{project_id}/groups path.

OPERATIONS

GET /organization/projects/{project_id}/groups

list-project-groups

$client->list_project_groups({
    body => { ... },
});

Lists the groups that have access to a project.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project to inspect.

  • limit (in query, optional, integer) - A limit on the number of project groups to return. Defaults to 20.

    Default: 20

  • after (in query, optional, string) - Cursor for pagination. Provide the ID of the last group from the previous response to fetch the next page.

  • order (in query, optional, string) - Sort order for the returned groups.

    Allowed values: asc, desc

    Default: asc

Responses

200 - Project groups listed successfully.

Content-Type: application/json

Example:

{
   "data" : [
      {
         "created_at" : 1711471533,
         "group_id" : "group_01J1F8ABCDXYZ",
         "group_name" : "Support Team",
         "object" : "project.group",
         "project_id" : "proj_abc123"
      }
   ],
   "has_more" : false,
   "next" : null,
   "object" : "list"
}

POST /organization/projects/{project_id}/groups

add-project-group

$client->add_project_group({
    body => { ... },
});

Grants a group access to a project.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project to update.

Responses

200 - Group granted access to the project successfully.

Content-Type: application/json

Example:

{
   "created_at" : 1711471533,
   "group_id" : "group_01J1F8ABCDXYZ",
   "group_name" : "Support Team",
   "group_type" : "group",
   "object" : "project.group",
   "project_id" : "proj_abc123"
}

SCHEMAS

InviteProjectGroupBody

Properties:

  • group_id (string, required) - Identifier of the group to add to the project.

  • role (string, required) - Identifier of the project role to grant to the group.

ProjectGroup

Properties:

  • created_at (integer, required) - Unix timestamp (in seconds) when the group was granted project access.

  • group_id (string, required) - Identifier of the group that has access to the project.

  • group_name (string, required) - Display name of the group.

  • group_type (string, required) - The type of the group.

    Allowed values: group, tenant_group

  • object (string, required) - Always project.group .

    Allowed values: project.group

  • project_id (string, required) - Identifier of the project.

ProjectGroupListResource

Properties:

  • data (array of ProjectGroup, required) - Project group memberships returned in the current page.

  • has_more (boolean, required) - Whether additional project group memberships are available.

  • next (anyOf, required) - Cursor to fetch the next page of results, or null when there are no more results.

  • object (string, required) - Always list .

    Allowed values: list

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.